Bug 427143 - USB storage devices not recognized on nForce2 chipset if inserted into the front USB connector
USB storage devices not recognized on nForce2 chipset if inserted into the fr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-01 06:10 EST by Andrew Zabolotny
Modified: 2009-01-09 00:40 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:40:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg with kernel 2.6.23.9-85.fc8 (20.87 KB, text/plain)
2008-01-03 19:01 EST, Andrew Zabolotny
no flags Details

  None (edit)
Description Andrew Zabolotny 2008-01-01 06:10:31 EST
Description of problem:

I have a computer based on the nForce4 chipset, CPU is Athlon XP. I was using
Fedora 7 with all latest upgrades, then I have upgraded to Fedora 8. After this
USB storage devices inserted into the front computer panel cheased to be
recognized. I don't know why, but this affects only USB storage devices (at
least a USB Bluetooth dongle I've tried worked fine). The same USB storage
devices work fine if I insert them into a USB hub located on the rear side of
the monitor (and monitor is inserted into the rear USB connector), or into the
rear USB connector directly.

However, if I install the latest Fedora 7 kernel (kernel-2.6.23.8-34.fc7), the
USB storage devices work fine. I tried this several times, and it shows 100%
repeatability.

Version-Release number of selected component (if applicable):

2.6.23.1-42.fc8 (stock f8 kernel)
2.6.23.9-85.fc8

both kernels manifest same (incorrect) behaviour.

How reproducible:

Always

Steps to Reproduce:
1. Hmm... get a MSI Mega 180 barebone :-(
2. Insert a USB flash into the front panel

Actual results:

With kernel kernel-2.6.23.9-85.fc8 it doesn't get recognized, and kernel log says:

usb 3-3: new high speed USB device using ehci_hcd and address 5
usb 3-3: device descriptor read/64, error -71
usb 3-3: device descriptor read/64, error -71
usb 3-3: new high speed USB device using ehci_hcd and address 6
usb 3-3: device descriptor read/64, error -71
usb 3-3: device descriptor read/64, error -71
usb 3-3: new high speed USB device using ehci_hcd and address 7
usb 3-3: device not accepting address 7, error -71
usb 3-3: new high speed USB device using ehci_hcd and address 8
usb 3-3: device not accepting address 8, error -71

Expected results:

With kernel kernel-2.6.23.8-34.fc7 it shows the following in kernel log:

usb 1-3: new high speed USB device using ehci_hcd and address 5
usb 1-3: configuration #1 chosen from 1 choice
scsi3 : SCSI emulation for USB Mass Storage devices
scsi 3:0:0:0: Direct-Access              USB FLASH DRIVE  PMAP PQ: 0 ANSI: 0 CCS
...

Additional info:

The output of lsusb with the flash inserted on kernel kernel-2.6.23.8-34.fc7:

Bus 001 Device 006: ID 1005:b113 Apacer Technology, Inc. Handy Steno 2.0 (256MB)
Bus 001 Device 003: ID 04b4:6560 Cypress Semiconductor Corp. CY7C65640 USB-2.0
"TetraHub"
Bus 001 Device 001: ID 0000:0000  
Bus 003 Device 002: ID 55aa:b012 OnSpec Electronic, Inc. Mitsumi FA402M 8-in-2
Card Reader
Bus 003 Device 001: ID 0000:0000  
Bus 002 Device 002: ID 046d:c50b Logitech, Inc. Cordless Desktop Optical
Bus 002 Device 001: ID 0000:0000  

When inserted into monitor the device shows as:

Bus 001 Device 007: ID 1005:b113 Apacer Technology, Inc. Handy Steno 2.0 (256MB)

With a f8 kernel the device doesn't show in the lsusb list when inserted into
the front USB connector. However, if I insert it into the hub located on the LCD
monitor, it works fine:

Bus 001 Device 006: ID 1005:b113 Apacer Technology, Inc. Handy Steno 2.0 (256MB)
Bus 001 Device 003: ID 04b4:6560 Cypress Semiconductor Corp. CY7C65640 USB-2.0
"TetraHub"
Bus 001 Device 001: ID 0000:0000  
Bus 003 Device 003: ID 55aa:b012 OnSpec Electronic, Inc. Mitsumi FA402M 8-in-2
Card Reader
Bus 003 Device 001: ID 0000:0000  
Bus 002 Device 004: ID 046d:c50b Logitech, Inc. Cordless Desktop Optical
Bus 002 Device 001: ID 0000:0000  

It looks like the USB buses are enumerated in a different order on a f8 kernel
(are there any f8-specific USB patches?). With it, the front panel is USB bus 3,
and monitor hub is bus 1, with f7 kernel both are bus 1, and everything works fine.

lspci output:

00:00.0 Host bridge: nVidia Corporation nForce2 AGP (different version?) (rev a2)
00:00.1 RAM memory: nVidia Corporation nForce2 Memory Controller 1 (rev a2)
00:00.2 RAM memory: nVidia Corporation nForce2 Memory Controller 4 (rev a2)
00:00.3 RAM memory: nVidia Corporation nForce2 Memory Controller 3 (rev a2)
00:00.4 RAM memory: nVidia Corporation nForce2 Memory Controller 2 (rev a2)
00:00.5 RAM memory: nVidia Corporation nForce2 Memory Controller 5 (rev a2)
00:01.0 ISA bridge: nVidia Corporation nForce2 ISA Bridge (rev a4)
00:01.1 SMBus: nVidia Corporation nForce2 SMBus (MCP) (rev a2)
00:02.0 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
00:02.1 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
00:02.2 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
00:04.0 Ethernet controller: nVidia Corporation nForce2 Ethernet Controller (rev a1)
00:05.0 Multimedia audio controller: nVidia Corporation nForce Audio Processing
Unit (rev a2)
00:06.0 Multimedia audio controller: nVidia Corporation nForce2 AC97 Audio
Controler (MCP) (rev a1)
00:06.1 Modem: nVidia Corporation Unknown device 0069 (rev a1)
00:08.0 PCI bridge: nVidia Corporation nForce2 External PCI Bridge (rev a3)
00:09.0 IDE interface: nVidia Corporation nForce2 IDE (rev a2)
00:0d.0 FireWire (IEEE 1394): nVidia Corporation nForce2 FireWire (IEEE 1394)
Controller (rev a3)
00:1e.0 PCI bridge: nVidia Corporation nForce2 AGP (rev a2)
01:07.0 Network controller: RaLink Wireless PCI Adapter RT2400 / RT2460
03:00.0 VGA compatible controller: nVidia Corporation NV44A [GeForce 6200] (rev a1)
Comment 1 Chuck Ebbert 2008-01-02 17:55:55 EST
Please post the contents of /proc/interrupts from Fedora 8.
Comment 2 Andrew Zabolotny 2008-01-03 19:00:50 EST
My bad, the chipset is really nforce2, not nforce4 :-( The rest is still true,
though :-)

With kernel 2.6.23.9-85.fc8:

           CPU0       
  0:        856   IO-APIC-edge      timer
  1:          2   IO-APIC-edge      i8042
  6:          3   IO-APIC-edge      floppy
  7:          0   IO-APIC-edge      parport0
  8:          1   IO-APIC-edge      rtc
  9:          0   IO-APIC-fasteoi   acpi
 14:      10808   IO-APIC-edge      libata
 15:        107   IO-APIC-edge      libata
 16:         27   IO-APIC-fasteoi   ehci_hcd:usb3, NVidia nForce2, NVidia
nForce2 Modem
 17:       3131   IO-APIC-fasteoi   ohci_hcd:usb1, eth0
 18:         86   IO-APIC-fasteoi   ohci_hcd:usb2, firewire_ohci
 19:        487   IO-APIC-fasteoi   nvidia
NMI:          0 
LOC:      18511 
ERR:          0
MIS:          0


With kernel 2.6.23.8-34.fc7:

           CPU0       
  0:        853   IO-APIC-edge      timer
  1:          2   IO-APIC-edge      i8042
  6:          3   IO-APIC-edge      floppy
  7:          0   IO-APIC-edge      parport0
  8:          1   IO-APIC-edge      rtc
  9:          0   IO-APIC-fasteoi   acpi
 14:      11726   IO-APIC-edge      libata
 15:        152   IO-APIC-edge      libata
 16:        147   IO-APIC-fasteoi   ohci_hcd:usb3, NVidia nForce2 Modem, NVidia
nForce2
 17:       6796   IO-APIC-fasteoi   ehci_hcd:usb1, eth0
 18:         30   IO-APIC-fasteoi   ohci_hcd:usb2, firewire_ohci
 19:       2400   IO-APIC-fasteoi   nvidia
NMI:          0 
LOC:      26748 
ERR:          0
MIS:          0

Just in case I'll also append dmesg.
Comment 3 Andrew Zabolotny 2008-01-03 19:01:35 EST
Created attachment 290806 [details]
dmesg with kernel 2.6.23.9-85.fc8
Comment 4 Bug Zapper 2008-11-26 04:14:28 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:40:14 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.